RDKit: RDCatalog::CatalogParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
RDCatalog::CatalogParams Class Referenceabstract

abstract base class for the container used to create a catalog More...

`#include <CatalogParams.h>`

Inheritance diagram for RDCatalog::CatalogParams:

## Public Member Functions
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string
virtual void | toStream (std::ostream &) const =0
| serializes (pickles) to a stream
virtual std::string | Serialize () const =0
| returns a string with a serialized (pickled) representation
virtual void | initFromStream (std::istream &ss)=0
| initializes from a stream pickle
virtual void | initFromString (const std::string &text)=0
| initializes from a string pickle

## Protected Attributes
std::string | d_typeStr
| our type string

## Detailed Description

abstract base class for the container used to create a catalog

Definition at line 18 of file CatalogParams.h.

## Constructor & Destructor Documentation

## ◆ ~CatalogParams()

virtual RDCatalog::CatalogParams::~CatalogParams | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ getTypeStr()

std::string RDCatalog::CatalogParams::getTypeStr | ( |  | ) | const
| inline

returns our type string

Definition at line 23 of file CatalogParams.h.

References d_typeStr.

## ◆ initFromStream()

virtual void RDCatalog::CatalogParams::initFromStream | ( | std::istream & | ss | ) |
| pure virtual

initializes from a stream pickle

Implemented in RDKit::FilterCatalogParams, RDKit::FragCatParams, RDKit::MolCatalogParams, RDKit::MolStandardize::AcidBaseCatalogParams, RDKit::MolStandardize::FragmentCatalogParams, RDKit::MolStandardize::TautomerCatalogParams, and RDKit::MolStandardize::TransformCatalogParams.

## ◆ initFromString()

virtual void RDCatalog::CatalogParams::initFromString | ( | const std::string & | text | ) |
| pure virtual

initializes from a string pickle

Implemented in RDKit::FilterCatalogParams, RDKit::FragCatParams, RDKit::MolCatalogParams, RDKit::MolStandardize::AcidBaseCatalogParams, RDKit::MolStandardize::FragmentCatalogParams, RDKit::MolStandardize::TautomerCatalogParams, and RDKit::MolStandardize::TransformCatalogParams.

## ◆ Serialize()

virtual std::string RDCatalog::CatalogParams::Serialize | ( |  | ) | const
| pure virtual

returns a string with a serialized (pickled) representation

Implemented in RDKit::FilterCatalogParams, RDKit::FragCatParams, RDKit::MolCatalogParams, RDKit::MolStandardize::AcidBaseCatalogParams, RDKit::MolStandardize::FragmentCatalogParams, RDKit::MolStandardize::TautomerCatalogParams, and RDKit::MolStandardize::TransformCatalogParams.

## ◆ setTypeStr()

void RDCatalog::CatalogParams::setTypeStr | ( | const std::string & | typeStr | ) |
| inline

sets our type string

Definition at line 26 of file CatalogParams.h.

References d_typeStr.

Referenced by RDKit::FilterCatalogParams::FilterCatalogParams(), and RDKit::FilterCatalogParams::FilterCatalogParams().

## ◆ toStream()

virtual void RDCatalog::CatalogParams::toStream | ( | std::ostream & |  | ) | const
| pure virtual

serializes (pickles) to a stream

Implemented in RDKit::FilterCatalogParams, RDKit::FragCatParams, RDKit::MolCatalogParams, RDKit::MolStandardize::AcidBaseCatalogParams, RDKit::MolStandardize::FragmentCatalogParams, RDKit::MolStandardize::TautomerCatalogParams, and RDKit::MolStandardize::TransformCatalogParams.

## Member Data Documentation

## ◆ d_typeStr

std::string RDCatalog::CatalogParams::d_typeStr
| protected

our type string

Definition at line 38 of file CatalogParams.h.

Referenced by RDKit::MolStandardize::AcidBaseCatalogParams::AcidBaseCatalogParams(), RDKit::FragCatParams::FragCatParams(), RDKit::MolStandardize::FragmentCatalogParams::FragmentCatalogParams(), getTypeStr(), RDKit::MolCatalogParams::MolCatalogParams(), RDKit::MolCatalogParams::MolCatalogParams(), setTypeStr(), RDKit::MolStandardize::TautomerCatalogParams::TautomerCatalogParams(), and RDKit::MolStandardize::TransformCatalogParams::TransformCatalogParams().

The documentation for this class was generated from the following file:

- CatalogParams.h